
%define _prefix	/usr
%define _SO_nr	0

Name:		libzen%{_SO_nr}
Version:	0.4.33
Release:	%mkrel 1
Summary:	Shared library for mediainfo
Summary(de):	Benötigte Bibliothek für MediaInfo
Group:		System/Libraries
License:	BSD
URL:		http://zenlib.sourceforge.net/
Source:		libzen_%{version}.tar.xz
Source90:	libzen-rpmlintrc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	dos2unix
BuildRequires:	doxygen
BuildRequires:	gcc-c++
Requires:   glibc >= 2.12.1
Requires:   libstdc++6 >= 4.5.2
Obsoletes:	%name < %version

%description
Shared library for libmediainfo and medianfo-gui.

#german
%description -l de
Benötigte Bibliothek für libmediainfo und MediaINFO-GUI.


%package -n libzen-devel
Summary:	Include files and libraries for development
Summary(de):	Include Dateien und Bibliotheken für die Entwicklung
Group:		Development/Libraries/C and C++
Requires:	libzen%{_SO_nr} = %{version}

%description -n libzen-devel
Include files and mandatory libraries for development.

#german
%description -n libzen-devel -l de
Include Dateien und benötigte Bibliotheken für die Entwicklung.


%prep
%setup -q -n ZenLib
dos2unix     *.txt Source/Doc/*.html
%__chmod 644 *.txt Source/Doc/*.html

%build
# generate docs
pushd Source/Doc
	doxygen -u 2> /dev/null
	doxygen Doxyfile
popd

export CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

pushd Project/GNU/Library
	%__chmod +x autogen.sh
	./autogen.sh
	%configure2_5x \
		--enable-shared

	%__make clean
	%__make %{?jobs:-j%{jobs}}
popd

%install
pushd Project/GNU/Library
	%makeinstall
popd

# Zenlib headers and ZenLib-config
%__install -dm 755 %{buildroot}%{_includedir}/ZenLib
%__install -m 644 Source/ZenLib/*.h \
	%{buildroot}%{_includedir}/ZenLib

for i in HTTP_Client Format/Html Format/Http ; do
	%__install -dm 755 %{buildroot}%{_includedir}/ZenLib/$i
	%__install -m 644 Source/ZenLib/$i/*.h \
		%{buildroot}%{_includedir}/ZenLib/$i
done

%__sed -i -e 's|Version: |Version: %{version}|g' \
	Project/GNU/Library/libzen.pc
%__install -dm 755 %{buildroot}%{_libdir}/pkgconfig
%__install -m 644 Project/GNU/Library/libzen.pc \
	%{buildroot}%{_libdir}/pkgconfig

%__rm %{buildroot}%{_libdir}/libzen.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"
rm -rf $RPM_BUILD_DIR/ZenLib

%post -n libzen%{_SO_nr} -p /sbin/ldconfig

%postun -n libzen%{_SO_nr} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc *.txt
%{_bindir}/libzen-config
%{_libdir}/libzen.so.*

%files -n libzen-devel
%defattr(-,root,root,-)
%doc Source/Doc/Documentation.html
%doc Doc/*
%dir %{_includedir}/ZenLib
%{_includedir}/ZenLib/*
%{_libdir}/libzen.a
%{_libdir}/libzen.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Mar 02 2016 daniel <meisssw01 at gmail.com> 0.4.33-1pclos2016
- 0.4.33

* Thu Nov 26 2015 daniel <meisssw01 at gmail.com> 0.4.32-1pclos2015
- 0.4.32

* Sat Aug 08 2015 daniel <meisssw01 at gmail.com> 0.4.31-1pclos2015
- libzen_0.4.31

* Fri Dec 26 2014 daniel <meisssw01 at gmail.com> 0.4.30-1pclos2014
- 0.4.30

* Sat Nov 23 2013 daniel <meisssw01 at gmail.com> 0.4.29-1free20013
- update

* Wed Sep 19 2012 Neal <nealbrks0 at gmail dot com> 0.4.28-1pclos2012
- process

* Wed Sep 19 2012 daniel <meisssw01 at gmail.com> 0.4.28-1leiche2012
- upstreamtarball

* Thu Apr 12 2012 Neal <nealbrks0 at gmail dot com> 0.4.26-1pclos2012
- process

* Thu Apr 12 2012 leiche <meisssw01 at gmail.com> 0.4.26-1leiche2012
- 0.4.26

* Wed Mar 14 2012 leiche <meisssw01 at gmail.com> 0.4.25-1leiche2012
- 0.4.25

* Thu Jan 26 2012 leiche <meisssw01 at gmail.com> 0.4.24-1leiche2012
- 0.4.24

* Sun Nov 13 2011 leiche <meisssw01 at gmail.com> 0.4.23-1leiche2011
- 0.4.23

* Tue Sep 27 2011 leiche <meisssw01 at gmail.com> 0.4.22-1leiche2011
- 0.4.22
- build for 64 bit

* Thu Jul 07 2011 leiche <meisssw01 at gmail.com> 0.4.20-1leiche2011
- update 0.4.20
- add requires for new glibc

* Tue Mar 22 2011 leiche <meisssw01 at aol.com> 0.4.18-1leiche2011
- 0.4.18

* Sun Nov 28 2010 leiche <meisssw01 at aol.com> 0.4.16-1leiche2010
- 0.4.16
- convert archive to tar.xz

* Mon May 17 2010 leiche <meisssw01 at aol.com> 0.4.15-1pclos2010
- 0.4.15

* Thu May 06 2010 leiche <meisssw01 at aol.com> 0.4.14-1pclos2010
- 0.4.14

* Sun Feb 21 2010 leiche <meisssw01 at aol.com> 0.4.11-1pclos2010
- 0.4.11

* Wed Jan 06 2010 leiche <MeissSW01 at aol.com> 0.4.10-1pclos2010
- 0.4.10

* Fri Nov 13 2009 Leiche <MeissSW01 at aol.com> 0.4.9-1pclos2010
- 0.4.9

* Fri Sep 11 2009 slick50 <lxgator@gmail.com> 0.4.3-1pclos2009
- 0.4.3

* Mon Jun 01 2009 Texstar <texstar@gmail.com> 0.4.2-1pclos2009
- import from Toni Graffy

